Bug 980150 - The agent configuration file doesn't allow the user to specify a separate host than the pulp server for the messaging broker
The agent configuration file doesn't allow the user to specify a separate hos...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
2.1.1
Unspecified Unspecified
medium Severity medium
: ---
: 2.4.0
Assigned To: Jeff Ortel
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 10:27 EDT by Randy Barlow
Modified: 2014-08-09 02:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:56:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-07-01 10:27:48 EDT
In consumer.conf, there is not a way to configure a separate host for the messaging broker than the Pulp server. This will make scaling difficult, if not impossible.

There are a few ways to solve this problem:

1) We could simply add the ability to specify the hostname in the [messaging] section. This is the easiest solution.

2) We could do something really slick, and have the agent ask the Pulp server's API for the details it needs to connect to the Pulp Server. This way, it doesn't need to be configured. The SSL certificates could also be passed to it over the API, if configured.
Comment 1 Jeff Ortel 2014-02-20 12:12:18 EST
https://github.com/pulp/pulp/pull/804
Comment 2 Jeff Ortel 2014-04-03 09:35:54 EDT
build: 2.4.0-0.7.beta
Comment 3 Preethi Thomas 2014-06-03 13:31:56 EDT
verified
[root@ibm-x3550m3-08 ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.19.beta.el6.noarch
[root@ibm-x3550m3-08 ~]# 


# Agent messaging.
#
# scheme:
#   The broker URL scheme (tcp|ssl)
# host:
#   The broker host (default: host defined in [server]).
# port:
#   The broker port number.
# transport:
#   The AMQP transport name.
# cacert:
#   The (optional) CA certificate (PEM) to verify the server.
# clientcert:
#   The client (PEM) key & certificate used to connect to the broker.
#   Uses the id_cert_dir and id_cert_filename when not defined here.

[messaging]
# (tcp|ssl)
scheme = tcp
host =
port = 5672
transport = qpid
cacert =
clientcert =
Comment 4 Randy Barlow 2014-08-09 02:56:18 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.